{
    "class": "Workflow",
    "doc": "This is a very simple workflow of two steps. It will zip an input VCF file and then index it. The zipped file and the index file will be in the workflow output.\n",
    "requirements": [
        {
            "class": "InlineJavascriptRequirement"
        }
    ],
    "inputs": [
        {
            "type": "File",
            "id": "#main/vcf"
        }
    ],
    "steps": [
        {
            "in": [
                {
                    "source": "#main/zip_step/zipped_file",
                    "id": "#main/index_step/zipped_file"
                }
            ],
            "out": [
                "#main/index_step/indexed_file"
            ],
            "run": {
                "class": "CommandLineTool",
                "requirements": [
                    {
                        "class": "DockerRequirement",
                        "dockerPull": "quay.io/pancancer/pcawg-oxog-tools"
                    },
                    {
                        "class": "InitialWorkDirRequirement",
                        "listing": [
                            "$(inputs.zipped_file)"
                        ]
                    }
                ],
                "inputs": [
                    {
                        "type": "File",
                        "id": "#main/index_step/83409b83-ce7e-47b9-b372-3e122a0e8080/zipped_file"
                    }
                ],
                "arguments": [
                    "$( runtime.outdir + \"/\" + inputs.zipped_file.basename )"
                ],
                "outputs": [
                    {
                        "type": "File",
                        "outputBinding": {
                            "glob": "*.tbi"
                        },
                        "id": "#main/index_step/83409b83-ce7e-47b9-b372-3e122a0e8080/indexed_file"
                    }
                ],
                "baseCommand": [
                    "tabix",
                    "-f",
                    "-p",
                    "vcf"
                ],
                "id": "#main/index_step/83409b83-ce7e-47b9-b372-3e122a0e8080"
            },
            "id": "#main/index_step"
        },
        {
            "in": [
                {
                    "source": "#main/vcf",
                    "id": "#main/zip_step/vcf_to_zip"
                }
            ],
            "out": [
                "#main/zip_step/zipped_file"
            ],
            "run": {
                "class": "CommandLineTool",
                "requirements": [
                    {
                        "class": "DockerRequirement",
                        "dockerPull": "quay.io/pancancer/pcawg-oxog-tools"
                    }
                ],
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "position": 0,
                            "prefix": "-c"
                        },
                        "id": "#main/zip_step/6159bd57-3a8e-4e1a-b79d-aee872e93450/vcf_to_zip"
                    }
                ],
                "stdout": "$( inputs.vcf_to_zip.basename + \".gz\")",
                "outputs": [
                    {
                        "type": "File",
                        "outputBinding": {
                            "glob": "*.gz"
                        },
                        "id": "#main/zip_step/6159bd57-3a8e-4e1a-b79d-aee872e93450/zipped_file"
                    }
                ],
                "baseCommand": "bgzip",
                "id": "#main/zip_step/6159bd57-3a8e-4e1a-b79d-aee872e93450"
            },
            "id": "#main/zip_step"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "outputSource": "#main/index_step/indexed_file",
            "type": "File",
            "id": "#main/indexed_file"
        },
        {
            "outputSource": "#main/zip_step/zipped_file",
            "type": "File",
            "id": "#main/zipped_file"
        }
    ],
    "cwlVersion": "v1.0"
}
